# $Revision: 1.26 $, $Date: 2010/09/23 22:04:38 $
# TODO:
# - add support for ingres, msql, oracle
#
# Conditional build:
%bcond_without	firebird	# don't build Firebird driver
%bcond_without	freetds		# don't build FreeTDS driver
%bcond_without	mysql		# don't build MySQL driver
%bcond_without	pgsql		# don't build PostgreSQL driver
%bcond_without	sqlite		# don't build sqlite driver
%bcond_without	sqlite3		# don't build sqlite3 driver
%bcond_without	doc			# don't build documentation
#
%define dbiver	0.9.0
Summary:	Database Independent Abstraction Layer for C
Summary(pl.UTF-8):	Warstwa DBI dla C
Name:		libdbi-drivers
%define	_snap	20100921
Version:	0.9.0
Release:	0.%{_snap}.1
License:	LGPL v2+
Group:		Libraries
#Source0:	http://dl.sourceforge.net/libdbi-drivers/libdbi-drivers-%{version}-1.tar.gz
Source0:	%{name}-%{_snap}.tar.gz
# Source0-md5:	3e3b1df63ab59f9246111db7fbad8310
Patch0:		%{name}-sqlite3_libs.patch
URL:		http://libdbi-drivers.sourceforge.net/
%if %{with doc}
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	jadetex
BuildRequires:	openjade
BuildRequires:	texlive-fonts-ams
BuildRequires:	texlive-fonts-marvosym
BuildRequires:	texlive-fonts-stmaryrd
BuildRequires:	texlive-fonts-type1-urw
BuildRequires:	texlive-format-pdflatex
BuildRequires:	texlive-latex-ams
BuildRequires:	texlive-latex-extend
BuildRequires:	texlive-latex-wasysym
BuildRequires:	texlive-xetex
BuildRequires:	texlive-xmltex
%endif
%{?with_firebird:BuildRequires:	Firebird-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_freetds:BuildRequires:	freetds-devel}
BuildRequires:	libtool
BuildRequires:	libdbi-devel >= %{dbiver}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_pgsql:BuildRequires:	postgresql-devel}
%{?with_sqlite:BuildRequires:	sqlite-devel}
%{?with_sqlite3:BuildRequires:	sqlite3-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdbi implements a database-independent abstraction layer in C,
similar to the DBI/DBD layer in Perl. Writing one generic set of code,
programmers can leverage the power of multiple databases and multiple
simultaneous database connections by using this framework.

%description -l pl.UTF-8
libdbi jest implementacją w C warstwy abstrakcyjnej niezależnej od
bazy danych, podobnej do warstwy DBI/DBD w Perlu. Używając tego
środowiska programista może za pomocą jednego, wspólnego kodu
odwoływać się do wielu różnych baz danych, także jednocześnie.

%package firebird
Summary:	Firebird plugin for libdbi
Summary(pl.UTF-8):	Wtyczka Firebird dla libdbi
Group:		Libraries
Requires:	libdbi >= %{dbiver}
Provides:	libdbi-dbd = %{version}-%{release}

%description firebird
This plugin provides connectivity to Firebird database servers through
the libdbi database independent abstraction layer. Switching a
program's plugin does not require recompilation or rewriting source
code.

%description firebird -l pl.UTF-8
Ta wtyczka daje możliwość łączenia się z serwerami Firebird poprzez
bibliotekę libdbi. Zmiana używanej wtyczki nie wymaga rekompilacji ani
zmiany źródeł programu.

%package freetds
Summary:	FreeTDS plugin for libdbi
Summary(pl.UTF-8):	Wtyczka FreeTDS dla libdbi
Group:		Libraries
Requires:	libdbi >= %{dbiver}
Provides:	libdbi-dbd = %{version}-%{release}

%description freetds
This plugin provides connectivity to MS SQL/Sybase database servers
through the libdbi database independent abstraction layer. Switching a
program's plugin does not require recompilation or rewriting source
code.

%description freetds -l pl.UTF-8
Ta wtyczka daje możliwość łączenia się z serwerami MS SQL/Sybase
poprzez bibliotekę libdbi. Zmiana używanej wtyczki nie wymaga
rekompilacji ani zmiany źródeł programu.

%package mysql
Summary:	MySQL plugin for libdbi
Summary(pl.UTF-8):	Wtyczka MySQL dla libdbi
Group:		Libraries
Requires:	libdbi >= %{dbiver}
Provides:	libdbi-dbd = %{version}-%{release}
Obsoletes:	libdbi-dbd-mysql

%description mysql
This plugin provides connectivity to MySQL database servers through
the libdbi database independent abstraction layer. Switching a
program's plugin does not require recompilation or rewriting source
code.

%description mysql -l pl.UTF-8
Ta wtyczka daje możliwość łączenia się z serwerami MySQL poprzez
bibliotekę libdbi. Zmiana używanej wtyczki nie wymaga rekompilacji ani
zmiany źródeł programu.

%package pgsql
Summary:	PostgreSQL plugin for libdbi
Summary(pl.UTF-8):	Wtyczka PostgreSQL dla libdbi
Group:		Libraries
Requires:	libdbi >= %{dbiver}
Provides:	libdbi-dbd = %{version}-%{release}
Obsoletes:	libdbi-dbd-pgsql

%description pgsql
This plugin provides connectivity to PostgreSQL database servers
through the libdbi database independent abstraction layer. Switching a
program's plugin does not require recompilation or rewriting source
code.

%description pgsql -l pl.UTF-8
Ta wtyczka daje możliwość łączenia się z serwerami PostgreSQL poprzez
bibliotekę libdbi. Zmiana używanej wtyczki nie wymaga rekompilacji ani
zmiany źródeł programu.

%package sqlite
Summary:	SQLite plugin for libdbi
Summary(pl.UTF-8):	Wtyczka SQLite dla libdbi
Group:		Libraries
Requires:	libdbi >= %{dbiver}
Provides:	libdbi-dbd = %{version}-%{release}

%description sqlite
This plugin provides connectivity to SQLite engine
through the libdbi database independent abstraction layer. Switching a
program's plugin does not require recompilation or rewriting source
code.

%description sqlite -l pl.UTF-8
Ta wtyczka daje możliwość łączenia się z silnikiem SQLite poprzez
bibliotekę libdbi. Zmiana używanej wtyczki nie wymaga rekompilacji ani
zmiany źródeł programu.

%package sqlite3
Summary:	SQLite3 plugin for libdbi
Summary(pl.UTF-8):	Wtyczka SQLite3 dla libdbi
Group:		Libraries
Requires:	libdbi >= %{dbiver}
Provides:	libdbi-dbd = %{version}-%{release}

%description sqlite3
This plugin provides connectivity to SQLite3 engine through the libdbi
database independent abstraction layer. Switching a program's plugin
does not require recompilation or rewriting source code.

%description sqlite3 -l pl.UTF-8
Ta wtyczka daje możliwość łączenia się z silnikiem SQLite3 poprzez
bibliotekę libdbi. Zmiana używanej wtyczki nie wymaga rekompilacji ani
zmiany źródeł programu.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	%{!?with_doc:--disable-docs} \
%if %{with firebird}
	--with-firebird \
	--with-firebird-libdir=%{_libdir} \
	--with-firebird-incdir=%{_includedir} \
%endif
%if %{with freetds}
	--with-freetds \
	--with-freetds-libdir=%{_libdir} \
	--with-freetds-incdir=%{_includedir} \
%endif
%if %{with mysql}
	--enable-mysql-threadsafe \
	--with-mysql \
	--with-mysql-libdir=%{_libdir} \
	--with-mysql-incdir=%{_includedir} \
%endif
%if %{with pgsql}
	--with-pgsql \
	--with-pgsql-libdir=%{_libdir} \
	--with-pgsql-incdir=%{_includedir} \
%endif
%if %{with sqlite}
	--with-sqlite \
	--with-sqlite-libdir=%{_libdir} \
	--with-sqlite-incdir=%{_includedir} \
%endif
%if %{with sqlite3}
	--with-sqlite3 \
	--with-sqlite3-libdir=%{_libdir} \
	--with-sqlite3-incdir=%{_includedir} \
%endif
	--with-dbi-incdir=%{_includedir} \
	--with-dbi-libdir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/dbd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/dbd/lib*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

#%files common
#%doc AUTHORS ChangeLog NEWS README README.encodings TODO

%if %{with firebird}
%files firebird
%defattr(644,root,root,755)
%doc drivers/firebird/{AUTHORS,README,TODO%{?with_doc:,dbd_firebird}}
%attr(755,root,root) %{_libdir}/dbd/libdbdfirebird.so
%endif

%if %{with freetds}
%files freetds
%defattr(644,root,root,755)
%doc drivers/freetds/README
%attr(755,root,root) %{_libdir}/dbd/libdbdfreetds.so
%endif

%if %{with mysql}
%files mysql
%defattr(644,root,root,755)
%doc drivers/mysql/{AUTHORS,README,TODO%{?with_doc:,dbd_mysql.pdf,dbd_mysql}}
%attr(755,root,root) %{_libdir}/dbd/libdbdmysql.so
%endif

%if %{with pgsql}
%files pgsql
%defattr(644,root,root,755)
%doc drivers/pgsql/{AUTHORS,README,TODO%{?with_doc:,dbd_pgsql.pdf,dbd_pgsql}}
%attr(755,root,root) %{_libdir}/dbd/libdbdpgsql.so
%endif

%if %{with sqlite}
%files sqlite
%defattr(644,root,root,755)
%doc drivers/sqlite/{AUTHORS,README,TODO%{?with_doc:,dbd_sqlite.pdf,dbd_sqlite}}
%attr(755,root,root) %{_libdir}/dbd/libdbdsqlite.so
%endif

%if %{with sqlite3}
%files sqlite3
%defattr(644,root,root,755)
%doc drivers/sqlite3/{AUTHORS,README,TODO%{?with_doc:,dbd_sqlite3.pdf,dbd_sqlite3}}
%attr(755,root,root) %{_libdir}/dbd/libdbdsqlite3.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdbi-drivers.spec,v $
Revision 1.26  2010/09/23 22:04:38  atler
- enable threadsafety for mysql driver

Revision 1.25  2010/09/21 21:52:12  atler
- up to 20100921 snap
- libdbi-destdir.patch and libdbi-docs_acfix.patch applied upstream
- copy doc BRs from libdbi (fixes doc bcond)

Revision 1.24  2010/04/11 19:54:02  arekm
- rel .3; typo fix

Revision 1.23  2010/04/11 19:51:36  arekm
- rel .2; disable doc for now

Revision 1.22  2009/04/21 09:11:35  mmazur
- argh, md5sum

Revision 1.21  2009/04/21 09:11:16  mmazur
- up to snap 20090420
- fixed sqlite3 building
- added (incomplete, no BRs) doc bcond

Revision 1.20  2009/04/20 10:45:59  mmazur
- fix 64bit build; stbr th

Revision 1.19  2008/07/19 19:49:59  qboosh
- updated to 0.8.3

Revision 1.18  2007/05/17 21:54:00  qboosh
- updated to 0.8.2-1

Revision 1.17  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.15  2006/12/23 17:31:04  hawk
- release 4 to rebuild with PostgreSQL 8.2

Revision 1.14  2006/11/23 09:21:28  hawk
- release 3

Revision 1.13  2005/10/27 17:43:52  arekm
- rel 2

Revision 1.12  2005/10/22 00:14:14  qboosh
- updated to 0.8.1, added freetds driver

Revision 1.11  2005/09/02 23:35:45  qboosh
- updated to 0.8.0
- added firebird,sqlite3 drivers

Revision 1.10  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.9  2005/02/12 22:46:25  arekm
rel ++

Revision 1.8  2004/10/28 12:31:46  paladine
- "PostgreSQL" unification

Revision 1.7  2004/10/28 12:22:22  paladine
- "MySQL" unification

Revision 1.6  2004/01/21 14:59:02  wiget
- fix building without pgsql

Revision 1.5  2004/01/21 14:42:07  jajcus
- Release: 2
- Pass all library/include directories to %configure to workaround
  stupid autoconf tests (that search for files not libraries)

Revision 1.4  2004/01/17 21:41:08  qboosh
- updated to 0.7.1

Revision 1.3  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.2  2003/07/17 16:34:18  qboosh
- added opt patch

Revision 1.1  2003/07/14 08:29:46  wiget
- updated libdbi to 0.7.1
- drivers are in libdbi-drivers.spec (in 0.7.0 version)
